#version 150
#extension GL_ARB_explicit_attrib_location : enable

in vec2 TexCoord; // From the geometry shader

in float intensity;
uniform sampler2D texOne;

layout( location = 0 ) out vec4 FragColor;
void main()
{
float alpha = texture(texOne, TexCoord).a;
if(alpha < 0.5f) discard;
//TODO: do something
FragColor = vec4(texture(texOne, TexCoord).rgb*intensity*8, alpha);
} 